import { RequestClient } from '@segment/actions-core';
import { Settings } from './generated-types';
export declare function getAudienceByName(request: RequestClient, settings: Settings, name: string): Promise<string | undefined>;
export declare function getAudienceByID(request: RequestClient, settings: Settings, ID: string): Promise<string | undefined>;
export declare function createAudience(request: RequestClient, settings: Settings, name: string): Promise<string>;
